searchNodes=[{"doc":"Simple functions for interacting with the Namecheap API.","ref":"Namecheap.html","title":"Namecheap","type":"module"},{"doc":"Check the status of domain names, including their price and availability.Pass a list of domain names and receive a list of Namecheap.DomainCheckResult structs.The order of the results is undefined.ExampleNamecheap.check_domains([&quot;tribes.host&quot;, &quot;us.xyz&quot;]) #=&gt; {:ok, [ %Namecheap.DomainCheckResult{ available: false, description: &quot;&quot;, domain: &quot;tribes.host&quot;, eap_fee: #Decimal&lt;0&gt;, error_no: &quot;0&quot;, icann_fee: #Decimal&lt;0&gt;, is_premium: false, premium_registration_price: #Decimal&lt;0&gt;, premium_renewal_price: #Decimal&lt;0&gt;, premium_restore_price: #Decimal&lt;0&gt;, premium_transfer_price: #Decimal&lt;0&gt; }, %Namecheap.DomainCheckResult{ available: true, description: &quot;&quot;, domain: &quot;us.xyz&quot;, eap_fee: #Decimal&lt;0.0&gt;, error_no: &quot;0&quot;, icann_fee: #Decimal&lt;0&gt;, is_premium: true, premium_registration_price: #Decimal&lt;13000.0&gt;, premium_renewal_price: #Decimal&lt;13000.0&gt;, premium_restore_price: #Decimal&lt;65.0&gt;, premium_transfer_price: #Decimal&lt;13000.0&gt; } ]}","ref":"Namecheap.html#check_domains/1","title":"Namecheap.check_domains/1","type":"function"},{"doc":"Facilitates HTTP requests to the Namecheap API endpoint.","ref":"Namecheap.Client.html","title":"Namecheap.Client","type":"module"},{"doc":"Runs a command against the Namecheap API, parses the response, and returns a Namecheap.Response struct.You should check the Namecheap docs for each method to know what parameters are supported. It's better to use a function from the Namecheap module instead of using the Client directly if supported.Argumentscmd - The full name of the Namecheap API &quot;method&quot;, eg &quot;namecheap.domains.check&quot;params - Map of query paramaters to pass along with the request. Global paramaters are inferred from your settings, but can be overridden here. Example: %{&quot;DomainList&quot; =&gt; &quot;domain1.com,domain2.com&quot;}opts - Keyword list of options.OptionsOptions supplied to the opts argument.parser - Set the parser to any Floki.HTMLParser compatible parser. Namecheap.Parser is the default, but you can also use Namecheap.NoOpParser if you just want the raw XML, or even use Floki directly.ExampleNamecheap.Client.command(&quot;namecheap.domains.check&quot;, %{ &quot;DomainList&quot; =&gt; &quot;domain1.com,domain2.com&quot; })","ref":"Namecheap.Client.html#command/3","title":"Namecheap.Client.command/3","type":"function"},{"doc":"Struct representation of an API response returned by Namecheap.%Namecheap.Response{ body: [ %Namecheap.DomainCheckResult{ available: true, description: &quot;&quot;, domain: &quot;tribes.host&quot;, eap_fee: #Decimal&lt;0&gt;, error_no: &quot;0&quot;, icann_fee: #Decimal&lt;0&gt;, is_premium: false, premium_registration_price: #Decimal&lt;0&gt;, premium_renewal_price: #Decimal&lt;0&gt;, premium_restore_price: #Decimal&lt;0&gt;, premium_transfer_price: #Decimal&lt;0&gt; } ], command: &quot;namecheap.domains.check&quot;, errors: [], execution_time: #Decimal&lt;1.302&gt;, gmt_time_difference: &quot;--5:00&quot;, server: &quot;PHX01SBAPIEXT06&quot;, status: &quot;OK&quot;, warnings: [] }","ref":"Namecheap.Response.html","title":"Namecheap.Response","type":"module"},{"doc":"","ref":"Namecheap.Response.html#t:t/0","title":"Namecheap.Response.t/0","type":"type"},{"doc":"Parser that returns the raw XML data from the response as an unmodified string.","ref":"Namecheap.NoOpParser.html","title":"Namecheap.NoOpParser","type":"module"},{"doc":"Converts Namecheap API responses into structs of our native format. This is the default parser.","ref":"Namecheap.Parser.html","title":"Namecheap.Parser","type":"module"},{"doc":"Takes raw XML data from a Namecheap response and converts it into a Namecheap.Response struct.","ref":"Namecheap.Parser.html#parse_document/1","title":"Namecheap.Parser.parse_document/1","type":"function"},{"doc":"Attempts to parse a single node into a native struct. Returns a native struct, or {:unimplemented, node} on failure. All element names and attributes must be lowercase.Exampleiex(1)&gt; Namecheap.Parser.parse_fragment({&quot;domaincheckresult&quot;, [{&quot;domain&quot;, &quot;tribes.host&quot;}], []}) %Namecheap.DomainCheckResult{domain: &quot;tribes.host&quot;, ...}","ref":"Namecheap.Parser.html#parse_fragment/1","title":"Namecheap.Parser.parse_fragment/1","type":"function"},{"doc":"Represents entities returned by the namecheap.domains.check command.%Namecheap.DomainCheckResult{ available: true, description: &quot;&quot;, domain: &quot;tribes.host&quot;, eap_fee: #Decimal&lt;0&gt;, error_no: &quot;0&quot;, icann_fee: #Decimal&lt;0&gt;, is_premium: false, premium_registration_price: #Decimal&lt;0&gt;, premium_renewal_price: #Decimal&lt;0&gt;, premium_restore_price: #Decimal&lt;0&gt;, premium_transfer_price: #Decimal&lt;0&gt; }","ref":"Namecheap.DomainCheckResult.html","title":"Namecheap.DomainCheckResult","type":"module"},{"doc":"","ref":"Namecheap.DomainCheckResult.html#t:t/0","title":"Namecheap.DomainCheckResult.t/0","type":"type"},{"doc":"Represents a Namecheap API error. See the full list of error codes for more information.%Namecheap.Error{ error_code: &quot;1010104&quot;, message: &quot;Parameter Command is missing&quot; }","ref":"Namecheap.Error.html","title":"Namecheap.Error","type":"module"},{"doc":"","ref":"Namecheap.Error.html#t:t/0","title":"Namecheap.Error.t/0","type":"type"},{"doc":"Namecheap ElixirElixir client library for interacting with the Namecheap API.The goal of this library is to facilitate the creation and management of domains. We do not plan to implement all features (but merge requests are welcome).iex(1)&gt; Namecheap.check_domains([&quot;tribes.host&quot;, &quot;us.xyz&quot;]) {:ok, [ %Namecheap.DomainCheckResult{ available: false, description: &quot;&quot;, domain: &quot;tribes.host&quot;, eap_fee: #Decimal&lt;0&gt;, error_no: &quot;0&quot;, icann_fee: #Decimal&lt;0&gt;, is_premium: false, premium_registration_price: #Decimal&lt;0&gt;, premium_renewal_price: #Decimal&lt;0&gt;, premium_restore_price: #Decimal&lt;0&gt;, premium_transfer_price: #Decimal&lt;0&gt; }, %Namecheap.DomainCheckResult{ available: true, description: &quot;&quot;, domain: &quot;us.xyz&quot;, eap_fee: #Decimal&lt;0.0&gt;, error_no: &quot;0&quot;, icann_fee: #Decimal&lt;0&gt;, is_premium: true, premium_registration_price: #Decimal&lt;13000.0&gt;, premium_renewal_price: #Decimal&lt;13000.0&gt;, premium_restore_price: #Decimal&lt;65.0&gt;, premium_transfer_price: #Decimal&lt;13000.0&gt; } ]}","ref":"readme.html","title":"Namecheap Elixir","type":"extras"},{"doc":"The Namecheap API has a single endpoint:https://api.namecheap.com/xml.responseAll requests go through this one endpoint, using query strings to perform different operations. All responses return XML data in a structured format.There is not a 1:1 representation of XML in Elixir. The closest thing we have is structs, but that can't discern attributes from content inside the tags. As a result, this library creates abstractions over the XML entities returned by Namecheap, representing them as structs in a native format.Requests are a bit easier because query params can be represented as maps. Namecheap never requires you to send data in the request body, so we only ever need to parse XML from the response, never build it.GET and POST work the same for all API operations, but the Namecheap docs recommends using POST for some operations, so we just use POST throughout the library.","ref":"readme.html#about-the-namecheap-api","title":"Namecheap Elixir - About the Namecheap API","type":"extras"},{"doc":"The package can be installed by adding namecheap to your list of dependencies in mix.exs:def deps do [ {:namecheap, &quot;~&gt; 0.1.0&quot;} ] endConfigurationYou will then need to configure Namecheap for your application.import Config config :namecheap, api_user: &quot;example&quot;, api_key: &quot;********************************&quot;, endpoint: &quot;https://api.namecheap.com/xml.response&quot;Supported optionsapi_user (required): Username of your Namecheap account.api_key (required): API key generated from your Namecheap account.endpoint (required): The endpoint to use for requests. You should set this to Namecheap's production endpoint in production, and their sandbox endpoint in development. There is no default for safety reasons.user_name (optional): Username on which each command is executed. Defaults to the value of api_user.client_ip (optional): Nobody knows the purpose of this, but Namecheap requires it with every request. We pass the loopback address 127.0.0.1 by default, but feel free to override it.parser (optional): Any Floki.HTMLParser compatible parser module. Defaults to Namecheap.Parser.","ref":"readme.html#installation","title":"Namecheap Elixir - Installation","type":"extras"},{"doc":"Namecheap Elixir is licensed under the MIT license. See LICENSE.md for a full copy of the license.","ref":"readme.html#license","title":"Namecheap Elixir - License","type":"extras"},{"doc":"MIT LicenseCopyright (c) 2021 Alex GleasonPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"MIT License","type":"extras"}]